| Resource | Description |
|---|---|
| Loads | Operations related to loads xlxs files |
| Actors | Operations related to actors |
| Dealers | Operations related to dealers |
| Custom Information | Operations related to custom information |
| Commercial Structure | Operations related to commercial structure |
| Accoutning systems | |
| Brands | |
| Stores |
| Resource | Description |
|---|---|
| Loads | Operations related to loads xlxs files |
| Actors | Operations related to actors |
| Dealers | Operations related to dealers |
| Custom Information | Operations related to custom information |
| Commercial Structure | Operations related to commercial structure |
| Accoutning systems | |
| Brands | |
| Stores |
Bulk loads endpoint for dealers creation
QUERY PARAMETERS
Flag to ignore errors
HEADER PARAMETERS
Bearer token
Body with the XLXS file to process
{} | Property | Type | Description | Constraints | Default |
|---|
OK Successfully returned the order info
{
"message": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string |
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/loads' \
-H 'Authorization: string' \
-H 'Content-Type: application/octet-stream' \
-H 'Accept: application/json' \
--data-raw '{}' Get actor by query params
QUERY PARAMETERS
Actor code
Actor email
Full name or partials of it of the actors to search
Actor type
Actor parent id
Limit of results in the response
Offset applied to results for pagination
The fields by which the results will be sorted. It can be a list of fields separated by commas. A suffix must be added: * ":asc" to indicate an ascending order. * ":desc" to indicate a descending order.
HEADER PARAMETERS
Bearer token
Return successfully the actor information
{
"offset": 0,
"limit": 10,
"total": 100,
"sort": "id:asc",
"items": [
{
"id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"code": "jjhags123-a1",
"name": "Test Name",
"surname": "Test Surname",
"type": "EMPLOYEE",
"email": "test@masmovil.es",
"parent_id": "DEAL-1233",
"parent_code": "DEAL-6370",
"relation_type": "DIRECT"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
offset | integer (int32) | Offset used to paginate in conjunction with limit | ||||||||||||||||||||||||||||||||||||||||||||||||||||
limit | integer (int32) | Max number of results of the response | ||||||||||||||||||||||||||||||||||||||||||||||||||||
total | integer (int32) | Total number of records | ||||||||||||||||||||||||||||||||||||||||||||||||||||
sort | string | The fields by which the results will be sorted. It can be a list of fields separated by commas | ||||||||||||||||||||||||||||||||||||||||||||||||||||
items* | object[] | List of items | ||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/actors?code=123456&email=vvvv.ssss%40masorange.com&full_name=JOHn%20Do&parent_id=ac95e92c-277a-4115-9257-49de7279fdc2&limit=20&offset=0&sort=name%3Aasc%2Cid%3Adesc' \
-H 'Authorization: string' \
-H 'Accept: application/json' Create new actor
HEADER PARAMETERS
Bearer token
Body with the actor information
{
"code": "GTRW12341A",
"name": "Test Name",
"surname": "Surname Test",
"type": "EMPLOYEE",
"email": "test@masmovil.es",
"parent_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code* | string | Code of the actor | minLength: 1 | |
name* | string | Name of the actor | minLength: 1 | |
surname | string | Surname of the actor msisdn | ||
type* | string
()
EMPLOYEEEXTERNAL_MANAGERHEADMANAGERCOORDINATORSUPERVISORTRAINERINTERNAL_POS_MANAGEREXTERNAL_POS_MANAGERTERRITORIALNATIONALKAM | Enumeration of possible actor types | minLength: 1 | |
email* | string (email) | Email of the actor | minLength: 1 | |
parent_id | string | parentId if exist | minLength: 1 |
Created Successfully create the actor
{
"id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"code": "jjhags123-a1",
"name": "Test Name",
"surname": "Test Surname",
"type": "EMPLOYEE",
"email": "test@masmovil.es",
"parent_id": "DEAL-1233",
"parent_code": "DEAL-6370",
"relation_type": "DIRECT"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Id of the actor | ||
code* | string | Code of the actor | ||
name | string | Name of the actor | ||
surname | string | Surname of the actor | ||
type* | string
()
EMPLOYEEEXTERNAL_MANAGERHEADMANAGERCOORDINATORSUPERVISORTRAINERINTERNAL_POS_MANAGEREXTERNAL_POS_MANAGERTERRITORIALNATIONALKAM | Enumeration of possible actor types | ||
email* | string | Email of the actor | ||
parent_id | string | parentId if exist | ||
parent_code | string | parentCode if exist | ||
relation_type | string
()
DIRECT_AND_INDIRECTDIRECTINDIRECT | Enumeration of possible relations between actors and dealers |
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/actors' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"code": "GTRW12341A",
"name": "Test Name",
"surname": "Surname Test",
"type": "EMPLOYEE",
"email": "test@masmovil.es",
"parent_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a"
}' Get actor by id
PATH PARAMETERS
Actor id
HEADER PARAMETERS
Bearer token
OK Return successfully the actor information
{
"id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"code": "jjhags123-a1",
"name": "Test Name",
"surname": "Test Surname",
"type": "EMPLOYEE",
"email": "test@masmovil.es",
"parent_id": "DEAL-1233",
"parent_code": "DEAL-6370",
"relation_type": "DIRECT"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Id of the actor | ||
code* | string | Code of the actor | ||
name | string | Name of the actor | ||
surname | string | Surname of the actor | ||
type* | string
()
EMPLOYEEEXTERNAL_MANAGERHEADMANAGERCOORDINATORSUPERVISORTRAINERINTERNAL_POS_MANAGEREXTERNAL_POS_MANAGERTERRITORIALNATIONALKAM | Enumeration of possible actor types | ||
email* | string | Email of the actor | ||
parent_id | string | parentId if exist | ||
parent_code | string | parentCode if exist | ||
relation_type | string
()
DIRECT_AND_INDIRECTDIRECTINDIRECT | Enumeration of possible relations between actors and dealers |
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/actors/d39cb65f-1aa8-44fe-a3d8-d310e321331a' \
-H 'Authorization: string' \
-H 'Accept: application/json' Update an actor
PATH PARAMETERS
Actor id
HEADER PARAMETERS
Bearer token
Body with the actor information
{
"name": "Test Name",
"surname": "Surname Test",
"type": "EMPLOYEE",
"email": "test@masmovil.es",
"parent_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | Name of the actor | minLength: 1 | |
surname* | string | Surname of the actor msisdn | minLength: 1 | |
type* | string
()
EMPLOYEEEXTERNAL_MANAGERHEADMANAGERCOORDINATORSUPERVISORTRAINERINTERNAL_POS_MANAGEREXTERNAL_POS_MANAGERTERRITORIALNATIONALKAM | Enumeration of possible actor types | minLength: 1 | |
email* | string (email) | Email of the actor | minLength: 1 | |
parent_id* | string | null | parentId for the actor. null if none |
No Content Successfully update the actor
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PUT 'https://dealers.masstack.com/v2/actors/d39cb65f-1aa8-44fe-a3d8-d310e321331a' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "Test Name",
"surname": "Surname Test",
"type": "EMPLOYEE",
"email": "test@masmovil.es",
"parent_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a"
}' Delete actor by id
PATH PARAMETERS
Actor id
HEADER PARAMETERS
Bearer token
No Content Successfully delete the actor
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v2/actors/ac95e92c-277a-4115-9257-49de7279fdc2' \
-H 'Authorization: string' \
-H 'Accept: application/json' Get a list with all the actor types that the dealer system has
HEADER PARAMETERS
Bearer token
OK Return successfully the actor types
{
"types": [
"EMPLOYEE"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
types* | string[] | List of actor types |
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/actors/types' \
-H 'Authorization: string' \
-H 'Accept: application/json' Get dealers that have a relationship with an actor
PATH PARAMETERS
Actor id
QUERY PARAMETERS
Limit of results in the response
Offset applied to results for pagination
The fields by which the results will be sorted. It can be a list of fields separated by commas. A suffix must be added: * ":asc" to indicate an ascending order. * ":desc" to indicate a descending order.
The type of relation between the actors and the dealers. It can be one of the following values: * "DIRECT" * "INDIRECT" * "DIRECT_AND_INDIRECT"
Código del dealer
Nombre comercial del dealer
ID del nivel del dealer (V1 only, requires X-API-Version: 1 header)
Dealer's level
Código de estado del dealer (V1 only, requires X-API-Version: 1 header)
Dealer's status
Nombre del subcanal del dealer (V1 only, requires X-API-Version: 1 header)
Dealer's commercial structure
ID del dealer padre
Código del dealer padre
HEADER PARAMETERS
Bearer token
Return successfully the dealer list information. Returns DealersResponse (V1) when X-API-Version: 1 header is present, otherwise returns DealersResponseV2 (V2)
{
"offset": 0,
"limit": 10,
"total": 100,
"sort": "id:asc",
"items": [
{
"id": 12344567,
"code": "COD-123",
"commercial_name": "Testing Test SL",
"level_id": 2,
"status_code": "ACTIVO",
"subchannel_id": "1",
"subchannel_code": "1",
"subchannel_name": "Atención al Cliente",
"relation_type": "DIRECT",
"parent_id": 54321,
"parent_code": "COD-P123"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
offset | integer (int32) | Offset used to paginate in conjunction with limit | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
limit | integer (int32) | Max number of results of the response | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total | integer (int32) | Total number of records | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sort | string | The fields by which the results will be sorted. It can be a list of fields separated by commas | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
items* | object[] | List of items | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
offset | integer (int32) | Offset used to paginate in conjunction with limit | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
limit | integer (int32) | Max number of results of the response | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total | integer (int32) | Total number of records | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sort | string | The fields by which the results will be sorted. It can be a list of fields separated by commas | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
items* | object[] | List of items | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/actors/ac95e92c-277a-4115-9257-49de7279fdc2/dealers?limit=20&offset=0&sort=name%3Aasc%2Cid%3Adesc&code=123456&commercial_name=Comercial%20S.A.&level_id=3&level=3&status_code=ACTIVE&status=ACTIVE&subchannel_name=Online&commercial_structure=Online&parent_id=ac95e92c-277a-4115-9257-49de7279fdc2&parent_code=PARENT123' \
-H 'Authorization: string' \
-H 'Accept: application/json' Get all brands for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
OK List of dealer brands successfully obtained
[
{
"brand": "yoigo",
"dealer_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"brand_code": "YG"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
brand* | string | Brand name | minLength: 1 | |
dealer_id* | string | The id of the dealer that has the brand and refers to | ||
brand_code* | string
()
GUPPYGLEMMLYLLVIEBAHALBTSWJIMBSTPMEKRTTCRC | Brand codes enumeration | minLength: 1 |
Bad Request Bad Request
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Not Found
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/dealers/:id/brands' \
-H 'Authorization: string' \
-H 'Accept: application/json' Add a brand to a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
Information of the brand to be added
{
"brandCode": "YG"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
brandCode* | string
()
GUPPYGLEMMLYLLVIEBAHALBTSWJIMBSTPMEKRTTCRC | Brand codes enumeration | minLength: 1 |
Created Brand successfully added to dealer
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Not Found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/dealers/:id/brands' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"brandCode": "YG"
}' Get billing relationship for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
OK Successfully return the billing information for the dealer
{
"dealer_id": 12344567,
"billing_dealer": {
"id": "aaa-bbb-ccc-111-ddd",
"code": "COD-123",
"commercial_name": "Testing Test SL",
"identity_document": {
"type": "NIF",
"value": "12345678Z",
"issuing_country": "ES"
}
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
dealer_id* | integer (int32) | Id of the dealer | ||||||||||||||||||||||||||||||||||||||||||||||||||||
billing_dealer* | object | Information of the billing of a dealer | ||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
| Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
dealer_id* | string | Id of the dealer. Uuid for V2 and id for V1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||
billing_dealer* | object | Information of the billing of a dealer | ||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/dealers/:id/billing' \
-H 'Authorization: string' \
-H 'Accept: application/json' Create new billing relationship for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
Body with the dealer billing information
{
"billing_dealer_id": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
billing_dealer_id* | string | Id of the dealer that bill. UUID for V2 or id for V1 |
Created Successfully create the billing information for the dealer
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/dealers/:id/billing' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"billing_dealer_id": "string"
}' Delete billing relationship for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
No Content Successfully delete the billing information for the dealer
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v2/dealers/:id/billing' \
-H 'Authorization: string' \
-H 'Accept: application/json' Get dealers by code or by system and username
QUERY PARAMETERS
Dealer code
Accounting system code
Accounting system username
Dealer's level
Dealer's status
Dealer's commercial structure
Dealer's parent id
Dealer's parent code
Dealer's commercial name
Limit of results in the response
Offset applied to results for pagination
The fields by which the results will be sorted. It can be a list of fields separated by commas. A suffix must be added: * ":asc" to indicate an ascending order. * ":desc" to indicate a descending order.
HEADER PARAMETERS
Bearer token
OK Successfully return the dealer(s)
{
"offset": 0,
"limit": 10,
"total": 100,
"sort": "id:asc",
"items": [
{
"id": "abcd-1234-xyz",
"code": "COD-123",
"commercial_name": "Testing Test SL",
"level": 2,
"identity_document": {
"type": "NIF",
"value": "12345678Z",
"issuing_country": "ES"
},
"ine": "123456789012345",
"segment": "RESIDENCIAL",
"parent_id": "abcd-1234-xyz",
"parent_code": "COD-123",
"commercial_structure_id": "abcd-1234-xyz",
"commercial_structure_code": "AC",
"status": "Activo"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
offset | integer (int32) | Offset used to paginate in conjunction with limit | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
limit | integer (int32) | Max number of results of the response | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total | integer (int32) | Total number of records | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sort | string | The fields by which the results will be sorted. It can be a list of fields separated by commas | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
items* | object[] | List of items | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/dealers?code=DealerCode001&system=IAM&username=user%40masorange.es&level=3&status=Activo&commercial_structure=AC&parent_id=111-222-333-uuid&parent_code=PARENT_CODE_001&commercial_name=Mas%20Orange%20Store&limit=20&offset=0&sort=name%3Aasc%2Cid%3Adesc' \
-H 'Authorization: string' \
-H 'Accept: application/json' Create a new dealer
HEADER PARAMETERS
Bearer token
Body with the dealer information
{
"code": "ATC12345",
"level": 4,
"ine": "1234567890",
"segment": "RETAIL",
"status": "Activo",
"commercial_name": "Test Commercial Name",
"identity_document": {
"type": "NIF",
"value": "12345678Z",
"issuing_country": "ES"
},
"parent_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"commercial_structure_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
code* | string | Code of the dealer | minLength: 1, maxLength: 100, pattern: ^\S+$ | |||||||||||||||||||||
level* | integer (int32) | Level of the dealer | min: 1, max: 4 | |||||||||||||||||||||
ine* | string | null | Ine code of the dealer | minLength: 1, maxLength: 100 | |||||||||||||||||||||
segment* | string | null
()
RESIDENCIALNEGOCIOSNONE | Segment of the dealer | ||||||||||||||||||||||
status* | string
()
BloqueadoPendienteBajaActivoInactivo | Enumeration of possible dealer statuses | minLength: 1 | |||||||||||||||||||||
commercial_name* | string | Commercial name of the dealer | minLength: 1, maxLength: 100 | |||||||||||||||||||||
identity_document | object | Legal identification information | ||||||||||||||||||||||
| ||||||||||||||||||||||||
parent_id* | string | null | The parentId of the dealer | minLength: 1 | |||||||||||||||||||||
commercial_structure_id* | string | The commercialStructureId of the dealer | minLength: 1 | |||||||||||||||||||||
Created Successfully create a dealer
{
"id": "abcd-1234-xyz",
"code": "COD-123",
"commercial_name": "Testing Test SL",
"level": 2,
"identity_document": {
"type": "NIF",
"value": "12345678Z",
"issuing_country": "ES"
},
"ine": "123456789012345",
"segment": "RESIDENCIAL",
"parent_id": "abcd-1234-xyz",
"parent_code": "COD-123",
"commercial_structure_id": "abcd-1234-xyz",
"commercial_structure_code": "AC",
"status": "Activo"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Id of the dealer | ||||||||||||||||||||||
code* | string | Code of the dealer | ||||||||||||||||||||||
commercial_name* | string | CommercialName of the dealer | ||||||||||||||||||||||
level* | integer (int32) | Level of the dealer | ||||||||||||||||||||||
identity_document | object | Legal identification information | ||||||||||||||||||||||
| ||||||||||||||||||||||||
ine | string | INE of the dealer | ||||||||||||||||||||||
segment | string
()
RESIDENCIALNEGOCIOSNONE | Segment of the dealer | ||||||||||||||||||||||
parent_id | string | Id of the dealer's parent | ||||||||||||||||||||||
parent_code | string | Code of the dealer's parent | ||||||||||||||||||||||
commercial_structure_id* | string | Commercial structure id of the dealer | ||||||||||||||||||||||
commercial_structure_code | string | Commercial structure code of the dealer | ||||||||||||||||||||||
status* | string
()
BloqueadoPendienteBajaActivoInactivo | Enumeration of possible dealer statuses | ||||||||||||||||||||||
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/dealers' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"code": "ATC12345",
"level": 4,
"ine": "1234567890",
"segment": "RETAIL",
"status": "Activo",
"commercial_name": "Test Commercial Name",
"identity_document": {
"type": "NIF",
"value": "12345678Z",
"issuing_country": "ES"
},
"parent_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"commercial_structure_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a"
}' Get all the accounting systems for the dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
OK Successfully retrieved dealer's all accounting systems
[
{
"id": "e7b8f8e6-9c3b-4d2a-8f1e-2c3d4e5f6a7b",
"system": "IAM",
"username": "medias_puri@masmovil.com"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Dealer accounting_system entry id (unique identifier) | ||
system* | string
()
MYSIMQVANTELLUCERAHEOSIAMLEBARALYCAMOBILEVIRGINHEROEMBOUSCHAMANPORTAL DE COMPRASDIGO | Accounting system name | ||
username* | string | Username |
Bad Request Bad Request
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Not Found
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/dealers/:id/accounting-systems' \
-H 'Authorization: string' \
-H 'Accept: application/json' Create a new accounting system for the dealer
PATH PARAMETERS
Dealer ID
HEADER PARAMETERS
Bearer token
Body with the dealer accounting system information
{
"username": "medias_puri@masmovil.com",
"system": "IAM"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
username* | string | Username | minLength: 1, maxLength: 100 | |
system* | string
()
MYSIMQVANTELLUCERAHEOSIAMLEBARALYCAMOBILEVIRGINHEROEMBOUSCHAMANPORTAL DE COMPRASDIGO | Accounting system identifier |
Created Successfully create a dealer accounting system
{
"id": "e7b8f8e6-9c3b-4d2a-8f1e-2c3d4e5f6a7b",
"system": "IAM",
"username": "medias_puri@masmovil.com"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Dealer accounting_system entry id (unique identifier) | ||
system* | string
()
MYSIMQVANTELLUCERAHEOSIAMLEBARALYCAMOBILEVIRGINHEROEMBOUSCHAMANPORTAL DE COMPRASDIGO | Accounting system name | ||
username* | string | Username |
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Server Error
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/dealers/d39cb65f-1aa8-44fe-a3d8-d310e321331a/accounting-systems' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"username": "medias_puri@masmovil.com",
"system": "IAM"
}' Create a new relationship between a dealer and an actor
PATH PARAMETERS
Actor id
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
Created Successfully created the dealer-actor relationship
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found BadRequest
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/dealers/:id_dealer/actors/d39cb65f-1aa8-44fe-a3d8-d310e321331a' \
-H 'Authorization: string' \
-H 'Accept: application/json' Delete actor relationship for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
Actor id
HEADER PARAMETERS
Bearer token
No Content Successfully delete the relationship with an actor for the dealer
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v2/dealers/:id_dealer/actors/d39cb65f-1aa8-44fe-a3d8-d310e321331a' \
-H 'Authorization: string' \
-H 'Accept: application/json' Get all contacts for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
OK List of contacts successfully obtained
[
{
"id": "e7b8f8e6-9c3b-4d2a-8f1e-2c3d4e5f6a7b",
"dealer_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"name": "John Doe",
"email": "contactmail@example.es",
"phone_number": "string",
"purposes": "[Comercial, Facturación]"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Unique contact ID (UUID) | ||
dealer_id* | string | Dealer ID to which the contact belongs | ||
name* | string | null | Contact name | ||
email* | string | null | Contact email | ||
phone_number* | string | null | Contact phoneNumber number | ||
purposes* | string | null[] | Contact purposes: [Gerencia, Comercial, Logística, Informes, Facturación, Incidencias, Público] |
Bad Request Bad Request
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Not Found
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/dealers/:id/contacts' \
-H 'Authorization: string' \
-H 'Accept: application/json' Create a new contact for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
Information of the contact to be created
{
"name": "John Doe",
"email": "contactmail@example.es",
"phone_number": "600123456",
"purposes": "[Comercial, Facturación]"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | Contact name | minLength: 1, maxLength: 100 | |
email* | string (email) | null | Contact email | minLength: 1, maxLength: 100, pattern: ^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*+@(?:[a-zA-Z0-9-]+\.)++[a-zA-Z]{2,}$ | |
phone_number* | string | null | Contact phoneNumber number | minLength: 1, maxLength: 100, pattern: ^(\+\d{1,3})?\d{9}$ | |
purposes* | string | null[] | Contact purposes: [Gerencia, Comercial, Logística, Informes, Facturación, Incidencias, Público] |
Created Contact successfully created
{
"id": "e7b8f8e6-9c3b-4d2a-8f1e-2c3d4e5f6a7b",
"dealer_id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"name": "John Doe",
"email": "contactmail@example.es",
"phone_number": "string",
"purposes": "[Comercial, Facturación]"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Unique contact ID (UUID) | ||
dealer_id* | string | Dealer ID to which the contact belongs | ||
name* | string | null | Contact name | ||
email* | string | null | Contact email | ||
phone_number* | string | null | Contact phoneNumber number | ||
purposes* | string | null[] | Contact purposes: [Gerencia, Comercial, Logística, Informes, Facturación, Incidencias, Público] |
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Not Found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/dealers/:id/contacts' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "John Doe",
"email": "contactmail@example.es",
"phone_number": "600123456",
"purposes": "[Comercial, Facturación]"
}' Retrieve all custom information variables assignations and values for the specified dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
OK List of custom information variable assignations successfully obtained
{
"offset": 0,
"limit": 10,
"total": 100,
"sort": "id:asc",
"items": [
{
"id": "7944a62c-98fc-40e6-a914-d49479eeb53f",
"dealer_id": "123e4567-e89b-12d3-a456-426614174000",
"field_id": "48f7917f-9d0f-43d3-95c8-f8038d4c954e",
"field_name": "@Funnel",
"field_value": "Yes"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
offset | integer (int32) | Offset used to paginate in conjunction with limit | ||||||||||||||||||||||||||||||||
limit | integer (int32) | Max number of results of the response | ||||||||||||||||||||||||||||||||
total | integer (int32) | Total number of records | ||||||||||||||||||||||||||||||||
sort | string | The fields by which the results will be sorted. It can be a list of fields separated by commas | ||||||||||||||||||||||||||||||||
items* | object[] | List of items | ||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Not Found
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/dealers/:id/custom-information' \
-H 'Authorization: string' \
-H 'Accept: application/json' Assign a custom information variable value to the dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
Custom information variable value assigned to the dealer
{
"field_id": "48f7917f-9d0f-43d3-95c8-f8038d4c954e",
"field_value": "Yes"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
field_id* | string | Id of the custom information variable definition | ||
field_value* | string | Value of the custom information variable | minLength: 1, maxLength: 100 |
Created Custom information assignation successfully created
{
"id": "7944a62c-98fc-40e6-a914-d49479eeb53f",
"dealer_id": "123e4567-e89b-12d3-a456-426614174000",
"field_id": "48f7917f-9d0f-43d3-95c8-f8038d4c954e",
"field_name": "@Funnel",
"field_value": "Yes"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Identifier of the dealer <-> custom information variable assignation relationship | ||
dealer_id* | string | Identifier of the dealer to whom the custom information variable value is assigned | ||
field_id* | string | Id of the custom information variable definition | ||
field_name* | string | Id of the custom information variable definition | ||
field_value* | string | Value for the custom information variable assigned to dealer |
Bad Request Bad Request
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Not Found
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/dealers/:id/custom-information' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"field_id": "48f7917f-9d0f-43d3-95c8-f8038d4c954e",
"field_value": "Yes"
}' Get ticket config for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
OK Return successfully the ticket config information
{
"id": "d39cb65f-1aa8-44fe-a3d8-d310e321331a",
"commercialName": "Test Commercial Name",
"address": "Test Address",
"city": "Test City",
"province": "Test Province",
"postalCode": "12345",
"country": "Test Country",
"dealerId": "aaa-bbb-ccc-111-ddd",
"printType": "A4",
"identity_document": {
"type": "NIF",
"value": "12345678Z",
"issuing_country": "ES"
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Id of the ticket config | ||||||||||||||||||||||
commercialName* | string | Commercial name of the ticket config | ||||||||||||||||||||||
address* | string | Address of the ticket config | ||||||||||||||||||||||
city* | string | City of the ticket config | ||||||||||||||||||||||
province* | string | Province of the ticket config | ||||||||||||||||||||||
postalCode* | string | Postal code of the ticket config | ||||||||||||||||||||||
country* | string | Country of the ticket config | ||||||||||||||||||||||
dealerId* | string | Dealer uuid related to the ticket config | ||||||||||||||||||||||
printType | string | Print type of the ticket config | ||||||||||||||||||||||
identity_document | object | Legal identification information | ||||||||||||||||||||||
| ||||||||||||||||||||||||
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v2/dealers/:id/ticket-config' \
-H 'Authorization: string' \
-H 'Accept: application/json' Create ticket config for a dealer
PATH PARAMETERS
Dealer id (can be numeric legacy ID or UUID)
HEADER PARAMETERS
Bearer token
Body with the dealer ticket config information
{
"commercialName": "Test Commercial Name",
"address": "Test Address",
"city": "Test City",
"province": "Test Province",
"postalCode": "12345",
"country": "Test Country",
"printType": "A4",
"identity_document": {
"type": "NIF",
"value": "12345678Z",
"issuing_country": "ES"
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
commercialName | string | Commercial name of the ticket config | ||||||||||||||||||||||
address | string | Address of the ticket config | ||||||||||||||||||||||
city | string | City of the ticket config | ||||||||||||||||||||||
province | string | Province of the ticket config | ||||||||||||||||||||||
postalCode | string | Postal code of the ticket config | ||||||||||||||||||||||
country | string | Country of the ticket config | ||||||||||||||||||||||
printType | string | Print type of the ticket config | ||||||||||||||||||||||
identity_document | object | Legal identification information | ||||||||||||||||||||||
| ||||||||||||||||||||||||
Created Successfully create the ticket config for the dealer
Bad Request Bad Request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"code": "CONFLICT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service Unavailable
{
"errors": [
{
"code": "SERVICE_UNAVAILABLE",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Gateway Timeout
{
"errors": [
{
"code": "GATEWAY_TIMEOUT",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v2/dealers/:id/ticket-config' \
-H 'Authorization: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"commercialName": "Test Commercial Name",
"address": "Test Address",
"city": "Test City",
"province": "Test Province",
"postalCode": "12345",
"country": "Test Country",
"printType": "A4",
"identity_document": {
"type": "NIF",
"value": "12345678Z",
"issuing_country": "ES"
}
}' Update ticket config for a dealer
PATH PARAMETERS
[...]
